@use "../theme";

.header {
    background-color: white;
    border-bottom: 1px solid theme.$colorPaletteGray300;
    box-shadow: rgba(11, 43, 158, 0.15) 0px 6px 20px -6px;

    &__container {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: theme.$spacing04 0;

        &__logo {
            color: theme.$colorBrand;
            font-weight: theme.$fontWeightBold;
            font-size: theme.$fontSizeXLarge;
            text-decoration: none;
            display: flex;
            justify-content: center;

            @media only screen and (min-width: theme.$sm) {
                padding: 0;
                font-size: theme.$fontSizeLarge;
            }
        }

        &__links {
            display: flex;

            &__internal {
                display: none;
                margin: 0;
                padding: 0;

                @media only screen and (min-width: theme.$sm) {
                    display: flex;
                    flex-direction: row;
                }

                li {
                    display: flex;
                }

                &__link {
                    color: theme.$colorBrandLink;
                    padding: 1rem 1.5rem;
                    font-weight: theme.$fontWeightSemiBold;
                    text-decoration: none;
                    font-size: 1.125rem;
                    display: flex;
                    height: 100%;
                    align-items: center;

                    &:hover {
                        color: theme.$colorBrand;
                        text-decoration: underline;
                    }

                    &.active {
                        background: unset !important;
                        border-bottom: 4px solid theme.$colorBrand;
                        color: theme.$colorBrand;
                        padding-bottom: calc(1rem - 4px);
                    }
                }

                .button {
                    margin: theme.$spacing04 0 theme.$spacing04 theme.$spacing06;

                    .icon {
                        stroke-width: 2px;
                    }
                }

            }
        }
    }
}
